# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=expect
pkgver=5.45.4
pkgrel=1
pkgdesc="A tool for automating interactive applications"
arch=('x86_64')
url="https://www.nist.gov/el/msid/expect.cfm"
license=('custom')
groups=('base')
depends=('glibc' 'tcl')
makedepends=('bash' 'binutils' 'coreutils' 'diffutils' 'gcc' 'grep' 'make' 'patch' 'sed')
source=(https://downloads.sourceforge.net/project/expect/Expect/${pkgver}/${pkgname}${pkgver}.tar.gz)
sha256sums=(49a7da83b0bdd9f46d04a04deec19c7767bb9a323e40c4781f89caf760b92c34)

build() {
    cd ${pkgname}${pkgver}

    CFLAGS=${CFLAGS/-Werror=format-security/}

    ${configure}                \
        --with-tcl=/usr/lib64   \
        --enable-shared         \
        --mandir=/usr/share/man \
        --with-tclinclude=/usr/include

    make
}

package() {
    cd ${pkgname}${pkgver}

    make DESTDIR=${pkgdir} install

    ln -svf ${pkgname}${pkgver}/lib${pkgname}${pkgver}.so ${pkgdir}/usr/lib64
}
